Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005ParticleSend Class Reference

`#include <GT2005ParticleSend.h>`

List of all members.

## Public Member Functions
| GT2005ParticleSend ()
| GT2005ParticleSend (short int x, short int y, short int vx, short int vy, unsigned short int prob, unsigned short int vProb)
void | setParameters (short int x, short int y, short int vx, short int vy, unsigned short int prob, unsigned short int vProb)
## Public Attributes
unsigned short int | probability
unsigned short int | vprob
short int | x
short int | y
short int | vx
short int | vy

## Constructor & Destructor Documentation

GT2005ParticleSend::GT2005ParticleSend | ( |  | ) |

| Definition at line 18 of file GT2005ParticleSend.cpp.

GT2005ParticleSend::GT2005ParticleSend | ( | short int | x,
|  | short int | y,
|  | short int | vx,
|  | short int | vy,
|  | unsigned short int | prob,
|  | unsigned short int | vProb
| ) |

| Definition at line 28 of file GT2005ParticleSend.cpp.

## Member Function Documentation

void GT2005ParticleSend::setParameters | ( | short int | x,
|  | short int | y,
|  | short int | vx,
|  | short int | vy,
|  | unsigned short int | prob,
|  | unsigned short int | vProb
| ) |

| Definition at line 43 of file GT2005ParticleSend.cpp. Referenced by GT2005ParticleContainerSend::GT2005ParticleContainerSend().

## Member Data Documentation

unsigned short int GT2005ParticleSend::probability

| Definition at line 50 of file GT2005ParticleSend.h. Referenced by operator<<(), and operator>>().

unsigned short int GT2005ParticleSend::vprob

| Definition at line 51 of file GT2005ParticleSend.h. Referenced by operator<<(), and operator>>().

short int GT2005ParticleSend::x

| Definition at line 52 of file GT2005ParticleSend.h. Referenced by operator<<(), and operator>>().

short int GT2005ParticleSend::y

| Definition at line 53 of file GT2005ParticleSend.h. Referenced by operator<<(), and operator>>().

short int GT2005ParticleSend::vx

| Definition at line 54 of file GT2005ParticleSend.h. Referenced by operator<<(), and operator>>().

short int GT2005ParticleSend::vy

| Definition at line 55 of file GT2005ParticleSend.h. Referenced by operator<<(), and operator>>().

The documentation for this class was generated from the following files:

- Modules/TeamBallLocator/GT2005Particles/GT2005ParticleSend.h
- Modules/TeamBallLocator/GT2005Particles/GT2005ParticleSend.cpp